Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 716660 - net-fs/autofs-5.1.6 : ../.../rpc_subs.h: fatal error: nfs/nfs.h: No such file or directory
Summary: net-fs/autofs-5.1.6 : ../.../rpc_subs.h: fatal error: nfs/nfs.h: No such file...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo musl team
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: missing-musl-includes
  Show dependency tree
 
Reported: 2020-04-08 07:07 UTC by Toralf Förster
Modified: 2020-05-29 09:08 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,17.04 KB, text/plain)
2020-04-08 07:07 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,369.07 KB, text/plain)
2020-04-08 07:07 UTC, Toralf Förster
Details
environment (environment,80.62 KB, text/plain)
2020-04-08 07:07 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,30.15 KB, application/x-bzip)
2020-04-08 07:07 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,9.83 KB, application/x-bzip)
2020-04-08 07:07 UTC, Toralf Förster
Details
net-fs:autofs-5.1.6:20200408-021357.log (net-fs:autofs-5.1.6:20200408-021357.log,6.52 KB, text/plain)
2020-04-08 07:07 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,21.10 KB, application/x-bzip)
2020-04-08 07:07 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-04-08 07:07:29 UTC
In file included from ../include/automount.h:33,
                 from cache.c:25:
../include/rpc_subs.h:21:10: fatal error: nfs/nfs.h: No such file or directory
   21 | #include <nfs/nfs.h>
      |          ^~~~~~~~~~~
compilation terminated.

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0_musl_hardened-20200328-201618

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-gentoo-linux-musl-9.3.0 *
clang version 10.0.0 
Target: x86_64-gentoo-linux-musl
Thread model: posix
InstalledDir: /usr/lib/llvm/10/bin
/usr/lib/llvm/10
10.0.0
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.42.0 *
Available Java Virtual Machines:
  (none found)


timestamp of HEAD at this tinderbox image:
/var/db/repos/gentoo	Wed Apr  8 01:37:52 UTC 2020
/var/db/repos/musl	Sat Apr  4 03:02:24 UTC 2020

emerge -qpvO net-fs/autofs
[ebuild  N    ] net-fs/autofs-5.1.6  USE="(libtirpc) -dmalloc -ldap -mount-locking -sasl (-systemd)"
Comment 1 Toralf Förster gentoo-dev 2020-04-08 07:07:32 UTC
Created attachment 631276 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-04-08 07:07:35 UTC
Created attachment 631278 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-04-08 07:07:39 UTC
Created attachment 631280 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-04-08 07:07:42 UTC
Created attachment 631282 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-04-08 07:07:45 UTC
Created attachment 631284 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-04-08 07:07:48 UTC
Created attachment 631286 [details]
net-fs:autofs-5.1.6:20200408-021357.log
Comment 7 Toralf Förster gentoo-dev 2020-04-08 07:07:53 UTC
Created attachment 631288 [details]
temp.tbz2
Comment 9 Sam James archtester gentoo-dev Security 2020-04-25 22:43:19 UTC
dlan's asked that I try out the patch and see if it's all necessary. Will do this $soon.
Comment 10 Sam James archtester gentoo-dev Security 2020-05-05 12:28:00 UTC
(In reply to Sam James (sec padawan) from comment #9)
> dlan's asked that I try out the patch and see if it's all necessary. Will do
> this $soon.

[13:26:49]  <+sam_c> dlan: The patch is fine
[13:27:00]  <+sam_c> dlan: Sorry for the delay, I wanted to actually try it all out and see how much was needed.
[13:27:31]  <+sam_c> It builds with the lookup.c stuff but it's useless because nsswitch doesn't exist as part of musl. However, a user might choose to install an alternative implementation, so I think you could keep lookup.c (the patch removes it from the Makefile).
[13:27:45]  <+sam_c> Also obviously the conf file change is not relevant to us.
Comment 11 Sam James archtester gentoo-dev Security 2020-05-11 23:08:25 UTC
(In reply to Sam James (sec padawan) from comment #10)
> (In reply to Sam James (sec padawan) from comment #9)
> > dlan's asked that I try out the patch and see if it's all necessary. Will do
> > this $soon.
> 
> [13:26:49]  <+sam_c> dlan: The patch is fine
> [13:27:00]  <+sam_c> dlan: Sorry for the delay, I wanted to actually try it
> all out and see how much was needed.
> [13:27:31]  <+sam_c> It builds with the lookup.c stuff but it's useless
> because nsswitch doesn't exist as part of musl. However, a user might choose
> to install an alternative implementation, so I think you could keep lookup.c
> (the patch removes it from the Makefile).
> [13:27:45]  <+sam_c> Also obviously the conf file change is not relevant to
> us.

The only thing you *may* want to do, is copy the definition of __SWORD_TYPE from e.g. https://linux.die.net/man/2/statfs64, rather than removing it.
Comment 12 Larry the Git Cow gentoo-dev 2020-05-29 09:08:19 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=78f18ab0ea1805ca5fa452896e9dd92cb100b8ae

commit 78f18ab0ea1805ca5fa452896e9dd92cb100b8ae
Author:     Yixun Lan <dlan@gentoo.org>
AuthorDate: 2020-05-29 09:06:50 +0000
Commit:     Yixun Lan <dlan@gentoo.org>
CommitDate: 2020-05-29 09:07:52 +0000

    net-fs/autofs: make it compatible with sys-libs/musl
    
    Add patches to support alternative C lib: sys-libs/musl,
    most pathes borrow and rework from alpinelinux [1]
    
    Thanks Sam James (sec padawan) for helping on this.
    
    [1] https://git.alpinelinux.org/aports/tree/testing/autofs/
    
    Closes: https://bugs.gentoo.org/716660
    Package-Manager: Portage-2.3.100, Repoman-2.3.22
    Signed-off-by: Yixun Lan <dlan@gentoo.org>

 net-fs/autofs/autofs-5.1.6-r1.ebuild         | 119 +++++++++++++++++++++++++++
 net-fs/autofs/files/autofs-5.1.6-glibc.patch | 110 +++++++++++++++++++++++++
 net-fs/autofs/files/autofs-5.1.6-pid.patch   |  14 ++++
 3 files changed, 243 insertions(+)